slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSGDSetDoubleExpansion

Activate the double expansion variant of GD.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGDSetDoubleExpansion(EPS eps,PetscBool doubleexp)

Logically Collective

### Input Parameters

| eps | - the eigenproblem solver context
| doubleexp | - the boolean flag

### Options Database Keys

| -eps_gd_double_expansion | - activate the double-expansion variant of GD

### Notes

In the double expansion variant the search subspace is expanded with K*[A*x B*x] instead of the classic K*r, where K is the preconditioner, x the selected approximate eigenvector and r its associated residual vector.

### See Also

EPSGDGetDoubleExpansion()

### Level

advanced

### Location

src/eps/impls/davidson/gd/gd.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages